package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 商品对象 mall_goods_goods
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallGoodsGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 商品标题 */
    @Excel(name = "商品标题")
    private String goodsTitle;

    /** 商品分类ID */
    @Excel(name = "商品分类ID")
    private Long classId;
    private String className;

    /** logo图 */
    private String goodsImg;

    /** 默认邮费 */
    private BigDecimal postFee;

    /** 销量 */
    private Integer monthlySales;

    /** 库存 */
    private Integer stock;

    /** 规格详情 */
    private String spec;

    /** 参数详情 */
    private String param;

    /** 启用规格 0=不启用,1=启用 */
    @Excel(name = "启用规格 0=不启用,1=启用",readConverterExp = "0=不启用,1=启用")
    private String hasSpec;

    /** 是否是推荐产品 0 不是 1 是 */
    @Excel(name = "是否是推荐产品 0 不是 1 是",readConverterExp = "0=不是,1=是")
    private String isRecommend;

    /** 是否是热卖产品 0 不是 1 是 */
    @Excel(name = "是否是热卖产品 0 不是 1 是",readConverterExp = "0=不是,1=是")
    private String isHot;

    /** 是否是热卖产品 0 不是 1 是 */
    @Excel(name = "是否是定制商品",readConverterExp = "0=不是,1=是")
    private String isCustom;

    /** 状态 0 上架 1 下架 2 删除 */
    @Excel(name = "状态 0 上架 1 下架 2 删除")
    private String status;

    /** 分享时的图片 */
    private String shareImg;

    /** 分享时的标题 */
    private String shareTitle;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 添加时间 */
    @Excel(name = "添加时间")
    private String createAt;

    /** 修改时间 */
    private String updateAt;

    /** 删除标记 */
    private String delFlag;

    /** 标签 */
    private String tips;

    private String goodsBanner;

    private String goodsDetail;

    private List<MallGoodsProduct> proList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getIsCustom() {
        return isCustom;
    }

    public void setIsCustom(String isCustom) {
        this.isCustom = isCustom;
    }

    public String getGoodsName()
    {
        return goodsName;
    }
    public void setGoodsTitle(String goodsTitle) 
    {
        this.goodsTitle = goodsTitle;
    }

    public String getGoodsTitle() 
    {
        return goodsTitle;
    }
    public void setClassId(Long classId) 
    {
        this.classId = classId;
    }

    public Long getClassId() 
    {
        return classId;
    }
    public void setGoodsImg(String goodsImg) 
    {
        this.goodsImg = goodsImg;
    }

    public String getGoodsImg() 
    {
        return goodsImg;
    }
    public void setPostFee(BigDecimal postFee) 
    {
        this.postFee = postFee;
    }

    public BigDecimal getPostFee() 
    {
        return postFee;
    }
    public void setMonthlySales(Integer monthlySales) 
    {
        this.monthlySales = monthlySales;
    }

    public Integer getMonthlySales() 
    {
        return monthlySales;
    }
    public void setStock(Integer stock) 
    {
        this.stock = stock;
    }

    public Integer getStock() 
    {
        return stock;
    }
    public void setSpec(String spec) 
    {
        this.spec = spec;
    }

    public String getSpec() 
    {
        return spec;
    }
    public void setParam(String param) 
    {
        this.param = param;
    }

    public String getParam() 
    {
        return param;
    }
    public void setHasSpec(String hasSpec) 
    {
        this.hasSpec = hasSpec;
    }

    public String getHasSpec() 
    {
        return hasSpec;
    }
    public void setIsRecommend(String isRecommend) 
    {
        this.isRecommend = isRecommend;
    }

    public String getIsRecommend() 
    {
        return isRecommend;
    }
    public void setIsHot(String isHot) 
    {
        this.isHot = isHot;
    }

    public String getIsHot() 
    {
        return isHot;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setShareImg(String shareImg) 
    {
        this.shareImg = shareImg;
    }

    public String getShareImg() 
    {
        return shareImg;
    }
    public void setShareTitle(String shareTitle) 
    {
        this.shareTitle = shareTitle;
    }

    public String getShareTitle() 
    {
        return shareTitle;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<MallGoodsProduct> getProList() {
        return proList;
    }

    public void setProList(List<MallGoodsProduct> proList) {
        this.proList = proList;
    }

    public String getGoodsBanner() {
        return goodsBanner;
    }

    public void setGoodsBanner(String goodsBanner) {
        this.goodsBanner = goodsBanner;
    }

    public String getGoodsDetail() {
        return goodsDetail;
    }

    public void setGoodsDetail(String goodsDetail) {
        this.goodsDetail = goodsDetail;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsName", getGoodsName())
            .append("goodsTitle", getGoodsTitle())
            .append("classId", getClassId())
            .append("goodsImg", getGoodsImg())
            .append("postFee", getPostFee())
            .append("monthlySales", getMonthlySales())
            .append("stock", getStock())
            .append("spec", getSpec())
            .append("param", getParam())
            .append("hasSpec", getHasSpec())
            .append("isRecommend", getIsRecommend())
            .append("isHot", getIsHot())
            .append("status", getStatus())
            .append("shareImg", getShareImg())
            .append("shareTitle", getShareTitle())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
